/* public things from tcp.c */
int  tcp_connect();/* doconnect */
int  tcp_read();   /* read_socket */
void tcp_write();  /* send_to_host */
void tcp_main_write();  /* send_to_main_host */
void tcp_flush();  /* flush_output_buffer */
void tcp_write_tty_size(); /* send_term_size */
void tcp_open();   /* open_connection */
void tcp_close();  /* close_connection */
void tcp_show();   /* show_connections */
int  tcp_find();   /* find_connection */
void tcp_togglesnoop(); /* snoop_connection */
void show_host();

extern int tcp_fd;		/* sockfd     socket file descriptor */
extern int tcp_main_fd;		/* main_conn  main session socket */
extern int tcp_count;		/* count_conn number of open connections */

/* multiple connctions control */
typedef struct {
  int active;			/* display remote output? */
  char *id;			/* session id */
  char *host;                   /* address of remote host */
  int port;                     /* port number of remote host */
} connsess;

extern connsess conn_list[MAXFDSCAN];     /* connections indexed by socket descrs */
#define CONN_LIST(n) conn_list[n]

extern fd_set fdset;               /* set of descriptors to select() on */

